Package: org.grails.buffer

## [Java] Class StreamCharBuffer.ConnectedWriter

- org.grails.buffer.StreamCharBuffer.ConnectedWriter

-     static final class StreamCharBuffer.ConnectedWriter

  Simple holder class for the connected writer

  Authors:
    Lari Hotari

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `boolean` | `autoFlush` |
    `boolean` | `encoderAware` |
    `java.io.Writer` | `writer` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConnectedWriter (java.io.Writer writer, boolean autoFlush)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `flush()`
    `` | `java.io.Writer` | `getWriter()`
    `` | `public boolean` | `isEncoderAware()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### final boolean autoFlush

    - #### final boolean encoderAware

    - #### final java.io.Writer writer

  - ### Constructor Detail

    - #### ConnectedWriter(java.io.Writer writer, boolean autoFlush)

  - ### Method Detail

    - #### public void flush()

    - #### java.io.Writer getWriter()

    - #### public boolean isEncoderAware()